import math;
import hyperbolic_geometry;

size(500,500);
settings.outformat="pdf";

// What do we want to test?
// Some more or less random hyperbolic lines

real d0 = 0.1;

for (int i = 1; i <= 20; ++i) {
	hyperbolic_point A = hyperbolic_point(i*d0,60);
	hyperbolic_point B = hyperbolic_point(i*d0,120);
	dot(A, blue);
	dot(B, blue);
	hyperbolic_line g = hyperbolic_line(A,B);
	draw(g, blue);
	dot(g.get_first_endpoint());
	dot(g.get_second_endpoint());
}

draw((1,1)--(1,-1)--(-1,-1)--(-1,1)--cycle);
draw(unitcircle);
